Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.rwt.resources
Class IResourceManager.RegisterOptions

    java.lang.Object
      org.eclipse.rwt.resources.IResourceManager.RegisterOptions

Enclosing class:
  IResourceManager

public static final class IResourceManager.RegisterOptions
extends Object

An enumeration used to specify additional behavior when registering a resource.

- `NONE` - no further action is taken.
- `VERSION` - the resource to be registered will be versioned.
- `COMPRESS` - the resource to be registered will be compressed, assuming it contains JavaScript code.
- `VERSION_AND_COMPRESS` - the resource to be registered will be versioned and compressed.

Since:
  1.0

Field Summary
`static IResourceManager.RegisterOptions` `COMPRESS` `COMPRESS` - the resource to be registered will be compressed, assuming it contains JavaScript code.
`static IResourceManager.RegisterOptions` `NONE` `NONE` - no further action is taken.
`static IResourceManager.RegisterOptions` `VERSION` `VERSION` - the resource to be registered will be versioned.
`static IResourceManager.RegisterOptions` `VERSION_AND_COMPRESS` `VERSION_AND_COMPRESS` - the resource to be registered will be versioned and compressed.

Method Summary
`String` `toString()`
`static IResourceManager.RegisterOptions[]` `values()` Returns all available `RegisterOptions`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final IResourceManager.RegisterOptions NONE

  `NONE` - no further action is taken.

### VERSION

    public static final IResourceManager.RegisterOptions VERSION

  `VERSION` - the resource to be registered will be versioned.

### COMPRESS

    public static final IResourceManager.RegisterOptions COMPRESS

  `COMPRESS` - the resource to be registered will be compressed, assuming it contains JavaScript code.

### VERSION_AND_COMPRESS

    public static final IResourceManager.RegisterOptions VERSION_AND_COMPRESS

  `VERSION_AND_COMPRESS` - the resource to be registered will be versioned and compressed.

Method Detail

### values

    public static IResourceManager.RegisterOptions[] values()

  Returns all available `RegisterOptions`.

  Returns:
    array of available `RegisterOptions`

### toString

    public String toString()

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.